Package com.treemap

# Class DefaultTreeMapField<N,Column,Color,Font>

java.lang.Object
com.treemap.AbstractTreeMapField<N,Column>
com.treemap.DefaultTreeMapField<N,Column,Color,Font>

All Implemented Interfaces:
  `TreeMapField<N,Column>`

public class DefaultTreeMapField<N,Column,Color,Font> extends AbstractTreeMapField<N,Column>
The default implementation of a TreeMapField.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultTreeMapField(TreeMapModel model, Column index)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Column`
  `getIndex()`
  The index of the column in the model.
  `String`
  `getName()`
  Returns the name of the field.
  `TreeMapFieldSettings<Color,Font>`
  `getSettings()`
  `protected TreeMapModel`
  `getTreeMapModel()`
  `Class`
  `getType()`
  Returns the most specific superclass for all the values.
  `Object`
  `getValue(N node)`
  Returns the value for the specified row.
  `int`
  `hashCode()`
  `boolean`
  `isValid()`
  Indicates whether the field is valid.
  `String`
  `toString()`

  ### Methods inherited from class com.treemap.AbstractTreeMapField

  `isEveryValueUnique`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefaultTreeMapField

    public DefaultTreeMapField(TreeMapModel model, Column index)

- ## Method Details

  - ### getType

    public Class getType()
    Returns the most specific superclass for all the values.
    Returns:
      the common ancestor class of the object values.

  - ### getName

    public String getName()
    Returns the name of the field.
    Returns:
      the name of the field.

  - ### getValue

    public Object getValue(N node)
    Returns the value for the specified row.
    Parameters:
      `node` - the node whose value should be queried.
    Returns:
      the value Object at the specified row.

  - ### isValid

    public boolean isValid()
    Indicates whether the field is valid.
    Returns:
      true if it is valid, false otherwise.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getIndex

    public Column getIndex()
    The index of the column in the model.
    Returns:
      the index of the column

  - ### getTreeMapModel

    protected TreeMapModel getTreeMapModel()
    Specified by:
      `getTreeMapModel` in class `AbstractTreeMapField<N,Column>`

  - ### getSettings

    public TreeMapFieldSettings<Color,Font> getSettings()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`